#
# spec file for package ltmodem (Version 8.26a)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org
#

# neededforbuild  autoconf bin86 gmp k_deflt kernel-source modutils openssl openssl-devel
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake bin86 binutils cracklib gcc gdbm gettext gmp k_deflt kernel-source libtool openssl-devel perl rpm

Name:         ltmodem
Version:      8.26a
Release:      216
PreReq:       /bin/cat grep sed mktemp fileutils sh-utils /etc/modules.conf
Autoreqprov:  on
Group:        Hardware/Modem
License:      Commercial
URL:          http://www.agere.com
Summary:      Driver for modems with lucent chipsets
Source:       ltmodem-8.26a.tar.bz2
Source1:      modules.conf.ltmodem
Patch0:       ltmodem-8.26a.patch
Patch1:       ltmodem-8.26a-modversions.patch
ExclusiveArch: %ix86

%description
This package includes the drivers for many modems with Lucent chipsets,
under a variety of modem brand names.

They are controllerless modems and so sometimes called a "winmodems"
(or in this case linmodems).

This is not completely free sofware! Please read the license agreement
in /usr/share/doc/packages/ltmodem/license.txt

As this driver is binary only, please note, that SuSE can offer no
installation support for this modems!



%define modrootdir lib/modules/
%define filelist /var/adm/fillup-templates/ltmodem-moduleslist
%prep
%setup -q
%patch0
%patch1

%build
HEADERS="$(echo /usr/src/linux-*-include | head -1)"
VERSION="${HEADERS##/usr/src/linux-}"
VERSION="${VERSION%%-include}"
RELEASE="${VERSION##*-}"
VERSION="${VERSION%%-$RELEASE}"
echo "$RELEASE"
rm -f "%{filelist}"
for HDIR in $HEADERS/*; do
	FLAVOR="${HDIR##$HEADERS/}"
	DEST="/%{modrootdir}${VERSION}-override-${FLAVOR}"
	# build
	echo "building: $FLAVOR ${VERSION} ${RELEASE}"
	make	clean
	make	KDIR="${HDIR}"
	# install
	mkdir -p "$DEST"
	cp -v ltmodem.o ltserial.o "$DEST"
	echo "%dir $DEST"	>> %{filelist}
	echo "$DEST/ltmodem.o"	>> %{filelist}
	echo "$DEST/ltserial.o"	>> %{filelist}
done

%install
GROUP='dialout'
MODE='664'
# install the modules
find %{modrootdir} -type d | xargs -i \
    test -d $RPM_BUILD_ROOT/{} || \
    install -o root -g root -m 755 -d $RPM_BUILD_ROOT/{}
find %{modrootdir} -type f | xargs -i \
    install -o root -g root -m 644 {} $RPM_BUILD_ROOT/{}
test -e /dev/ttyLT0 && rm -f /dev/ttyLT0
mknod /dev/ttyLT0 c 62 64
chgrp ${GROUP} /dev/ttyLT0
chmod ${MODE}  /dev/ttyLT0
#ln -sf /dev/ttyLT0 /dev/modem 1> /dev/null 2> /dev/null
# adjusting modules.conf
install -m 644 %{SOURCE1} /var/adm/fillup-templates/modules.conf.ltmodem
# filelist contains the pathes to the modules

%files -f %{filelist}
/dev/ttyLT0
/var/adm/fillup-templates/modules.conf.ltmodem
%doc readme.txt license.txt

%post
cat <<EOT
 Copyright (C) 2001, 2002, 2003 Agere Systems Inc.
 Parts of this software are not GPL authorized and not free!
 Please read the Agere Systems WinModem End User SOFTWARE LICENSE
 AGREEMENT in /usr/share/doc/packages/ltmodem/license.txt
 before using the modules!
 As this driver is binary only, please note, that SuSE can offer
      no installation support
 for this modem.
EOT
MOD="var/adm/fillup-templates/modules.conf.ltmodem"
if test -w etc/modules.conf ; then
    if ! grep "`sed -n 1p $MOD`" etc/modules.conf &>/dev/null ; then
	echo "Updating etc/modules.conf"
	cat $MOD >> etc/modules.conf
	if test -z "$YAST_IS_RUNNING" -a -x sbin/depmod -a -e lib/modules/`bin/uname -r`/modules.dep ; then
	    chroot . /sbin/depmod -a 2>/dev/null
	fi
    fi
else
  echo "ERROR: /etc/modules.conf not writable. This should not happen."
  echo "Please see modules.conf.ltmodem for necessary changes and "
  echo "update by hand."
  exit 1
fi
exit 0

%preun
test $1 = 0 || exit 0
MOD="var/adm/fillup-templates/modules.conf.ltmodem"
if test ! -w etc/modules.conf ; then
    echo "cannot find /etc/modules.conf. Nothing to remove from modules.conf"
    exit 0
fi
TMP=`mktemp -q tmp/$base.XXXXXX`
if test $? -ne 0 ; then
    echo "$base: Can't create temp file, exiting..."
    exit 1
fi
LNO=`wc -l $MOD`
FL=`sed -n -e '1p' $MOD | tr '/' '.'`
LL=`sed -n -e '$p' $MOD | tr '/' '.'`
echo trying to remove the following lines from
echo "  $FL"
echo to
echo "  $LL"
echo from /etc/modules.conf
sed  -e "/$FL/,/$LL/d" etc/modules.conf > $TMP
if test $? -eq 0 -a \
   -n "$FL" -a -n "$LL" -a \
   -r "$TMP"  ; then
    echo saving old /etc/modules.conf in /etc/modules.conf.rpmold
    mv etc/modules.conf etc/modules.conf.rpmold
    mv $TMP etc/modules.conf
    if test -z "$YAST_IS_RUNNING" -a -x sbin/depmod -a -e lib/modules/`bin/uname -r`/modules.dep ; then
	chroot . /sbin/depmod -a 2>/dev/null
    fi
    echo removing ltmodem entries from /etc/modules.conf done
else
    echo cannot remove the ltmodem entries from /etc/modules.conf
    rm -f $TMP
    exit 0
fi

%changelog -n ltmodem
* Thu Feb 05 2004 - mjancar@suse.cz
- fix the build to compile with the correct modversions on
  all kernel flavors (34288)
* Thu Jan 22 2004 - mjancar@suse.cz
- compile ltserial with modversions (#34021)
* Fri Sep 19 2003 - mls@suse.de
- build for all kernels
- use override directory
* Tue Sep 09 2003 - mls@suse.de
- fix build for SL90
* Mon Apr 28 2003 - mls@suse.de
- got official version from agere, added agere EULA
* Tue Mar 11 2003 - mls@suse.de
- initial version
